# Analyst Ratings

Analysts research public financial statements, attend earnings conference calls, and speak with managers and customers of publicly traded companies to reach an opinion on if they recommend to "buy," "sell," or "hold" the stock for a given company. In our dataset, we have aggregated ratings from over 800 sell-side analysts to understand market expectations of future performance for a given company.&#x20;

### Fields

| Field                      | Type   | Description                                                                                                                                                                                             |
| -------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| buyRecommendations         | Int    | Number of buy recommendations                                                                                                                                                                           |
| currency                   | String | Currency code                                                                                                                                                                                           |
| date                       | String | ISO 8601 formatted DateTime                                                                                                                                                                             |
| holdRecommendations        | Int    | Number of hold recommendations                                                                                                                                                                          |
| lastUpdated                | String | ISO 8601 formatted DateTime                                                                                                                                                                             |
| overweightRecommendations  | Int    | Number of overweight recommendations                                                                                                                                                                    |
| recommendation             | String | <p>Summarized recommendation represented as a text:</p><ul><li>Buy</li><li>Overweight</li><li>Hold</li><li>Underweight</li><li>Sell</li></ul>                                                           |
| recommendationScore        | Float  | <p>Summarized recommendation represented as a value <strong>between 1 and 3</strong>:</p><ul><li>1 - Buy</li><li>1.5 - Overweight</li><li>2 - Hold</li><li>2.5 - Underweight</li><li>3 - Sell</li></ul> |
| sellRecommendations        | Int    | Number of sell recommendations                                                                                                                                                                          |
| targetPrice                | Int    | <p>Mean of analysts' future target price for a particular stock.</p><p>It represents the projected price over the next 6 to 12 months.</p>                                                              |
| totalRecommendations       | Int    | Total number of recommendations                                                                                                                                                                         |
| underweightRecommendations | Int    | Number of underweight recommendations                                                                                                                                                                   |
| unreportedRecommendations  | Int    | Number of unreported recommendations                                                                                                                                                                    |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        analystRating {
            buyRecommendations
            currency
            date
            holdRecommendations
            lastUpdated
            overweightRecommendations
            recommendation
            recommendationScore
            sellRecommendations
            targetPrice
            totalRecommendations
            underweightRecommendations
            unreportedRecommendations
        }
    }
}

# variables
{ "domain": "meta.com" }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/data-points/financials/untitled-1-2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
